summaryrefslogtreecommitdiffstats
path: root/source/ct-Bot/contrib/flash_n_fuse/setfuses.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/ct-Bot/contrib/flash_n_fuse/setfuses.sh')
-rw-r--r--source/ct-Bot/contrib/flash_n_fuse/setfuses.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source/ct-Bot/contrib/flash_n_fuse/setfuses.sh b/source/ct-Bot/contrib/flash_n_fuse/setfuses.sh
new file mode 100644
index 0000000..0c02970
--- /dev/null
+++ b/source/ct-Bot/contrib/flash_n_fuse/setfuses.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# echo program C't-Bot with avrdude and mySmartUSB
+#
+# echo Usage: setfuses.sh <filename>
+#
+if [ $# != 1 ]; then
+ echo "Usage: setfuses.sh <filename>"
+ exit 1;
+fi
+
+avrdude -p m32 -c avr910 -P /dev/ttyUSB0 -e -u -U lfuse:w:lfuse.hex:i -U hfuse:w:hfuse.hex:i -U lock:w:lock.hex:i \ No newline at end of file